from authorization_utils import *
from aps_utils import *

def getvins():
    with open("vins.txt", "r", encoding="utf-8") as file:
        lines = [line.strip() for line in file if line.strip()]
    return lines


def clear_nfs(vins):
    appname = 'needforspeed'

    for vin in vins:
        print('handle vin: ' + vin)
        masterid, nonmasterids = getusers(vin)

        # if masterid is not bound, it may be a prod vehicle
        if not masterid: continue

        #clear non-master user desired
        for meid in nonmasterids:
            post_apsdesired(vin, meid, appdesired_clearbyname(vin, meid, appname))

        #clear master user desired
        post_apsdesired(vin, masterid, appdesired_forceuninstall(vin, masterid, appname))


clear_nfs(getvins())